## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface EncryptionInfo

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EncryptionInfoImpl

    public interface EncryptionInfo

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Encryption Info'.

The following features are supported:

- `Encrypted Table`
- `Encryption Key`
- `Algorithm`

See Also:
  `SybaseasabasesqlmodelPackage.getEncryptionInfo()`

Method Summary
`java.lang.String` `getAlgorithm()` Returns the value of the 'Algorithm' attribute.
`java.lang.String` `getEncryptionKey()` Returns the value of the 'Encryption Key' attribute.
`boolean` `isEncryptedTable()` Returns the value of the 'Encrypted Table' attribute.
`void` `setAlgorithm(java.lang.String value)` Sets the value of the '`Algorithm`' attribute.
`void` `setEncryptedTable(boolean value)` Sets the value of the '`Encrypted Table`' attribute.
`void` `setEncryptionKey(java.lang.String value)` Sets the value of the '`Encryption Key`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isEncryptedTable

    boolean isEncryptedTable()

  Returns the value of the 'Encrypted Table' attribute.

  If the meaning of the 'Encrypted Table' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Encrypted Table' attribute.
  See Also:
    `setEncryptedTable(boolean)`, `SybaseasabasesqlmodelPackage.getEncryptionInfo_EncryptedTable()`

### setEncryptedTable

    void setEncryptedTable(boolean value)

  Sets the value of the '`Encrypted Table`' attribute.

  Parameters:
    `value` - the new value of the 'Encrypted Table' attribute.
  See Also:
    `isEncryptedTable()`

### getEncryptionKey

    java.lang.String getEncryptionKey()

  Returns the value of the 'Encryption Key' attribute.

  If the meaning of the 'Encryption Key' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Encryption Key' attribute.
  See Also:
    `setEncryptionKey(String)`, `SybaseasabasesqlmodelPackage.getEncryptionInfo_EncryptionKey()`

### setEncryptionKey

    void setEncryptionKey(java.lang.String value)

  Sets the value of the '`Encryption Key`' attribute.

  Parameters:
    `value` - the new value of the 'Encryption Key' attribute.
  See Also:
    `getEncryptionKey()`

### getAlgorithm

    java.lang.String getAlgorithm()

  Returns the value of the 'Algorithm' attribute. currently only 'AES' | 'AES_FIPS' are valid values

  Returns:
    the value of the 'Algorithm' attribute.
  See Also:
    `setAlgorithm(String)`, `SybaseasabasesqlmodelPackage.getEncryptionInfo_Algorithm()`

### setAlgorithm

    void setAlgorithm(java.lang.String value)

  Sets the value of the '`Algorithm`' attribute.

  Parameters:
    `value` - the new value of the 'Algorithm' attribute.
  See Also:
    `getAlgorithm()`